import { API_BASE_URL } from './constant.js';
import { fetchData } from './repository/api.js';
export const memberRecap = async (params = {}) => {
    const queryParams = new URLSearchParams();
    if (params.member_id !== undefined) {
        queryParams.append('cust_id', params.member_id.toString());
    }
    if (params.year !== undefined) {
        queryParams.append('year', params.year.toString());
    }
    if (params.season !== undefined) {
        queryParams.append('season', params.season.toString());
    }
    const url = `${API_BASE_URL}/stats/member_recap?${queryParams.toString()}`;
    const recap = await fetchData(url);
    return recap;
};
